/*======================================================================*/
/* Down.cpp: CDown downloading dialog implementation					*/
/* Copyright 2001-2003, (C) Jean-Pierre Menicucci - all rights reserved	*/
/*======================================================================*/

#include "stdafx.h"						// base includes
#include "resource.h"					// resource includes
#include "Down.h"						// CDown downloading dialog class

/////////////////////////////////////////////////////////////////////////////
// CDown

LRESULT CDown::OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
{
	m_bCancel = FALSE;

	SetTimer (1, 1000, 0);

	return 1;  // Let the system set the focus
}

LRESULT CDown::OnTimer(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
{
	CenterWindow();
	SetForegroundWindow (m_hWnd);
	ShowWindow (SW_SHOW);

	KillTimer (1);

	return 1;
}

LRESULT CDown::OnCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
{
	m_bCancel = TRUE;

	return 0;
}
