/*======================================================================*/
/* Down.h: CDown downloading dialog										*/
/* Copyright 2001-2003, (C) Jean-Pierre Menicucci - all rights reserved	*/
/*======================================================================*/

#ifndef __DOWN_H_
#define __DOWN_H_

/////////////////////////////////////////////////////////////////////////////
// CDown
class CDown : 
	public CDialogImpl<CDown>
{
private:
	BOOL m_bCancel;						// cancel dialog

public:
	CDown() { m_bCancel = FALSE; };
	~CDown() {};

	enum { IDD = IDD_DOWN };

BEGIN_MSG_MAP(CDown)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	MESSAGE_HANDLER(WM_TIMER, OnTimer)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
END_MSG_MAP()

	LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
	LRESULT OnTimer(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
	LRESULT OnCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);

public:
	BOOL IsCanceled (void) { return m_bCancel; };
};

#endif //__DOWN_H_
