/*======================================================================*/
/* Bstr.h: CBSTR wrapper class - because CComBSTR is buggy				*/
/* Copyright 2001-2003, (C) Jean-Pierre Menicucci - all rights reserved	*/
/*======================================================================*/
/* when calling CComBSTR::CComBSTR (n, lp), the constructor converts lp */
/* to OLECHAR without using the length parameter, but only the ending	*/
/* null character, thus causing a stack overflow when lp is big			*/
/*======================================================================*/

#if !defined(AFX_BSTR_H__3768E0EA_F4DC_48ED_B44E_180DE4E2683E__INCLUDED_)
#define AFX_BSTR_H__3768E0EA_F4DC_48ED_B44E_180DE4E2683E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CBSTR  
{
public:
	CBSTR();
	CBSTR (LPSTR lp);
	CBSTR (int n, LPSTR lp);
	virtual ~CBSTR();

private:
	BSTR m_bs;

public:
	operator BSTR() { return m_bs; }
	BSTR* operator&() { return &m_bs; }
};

#endif // !defined(AFX_BSTR_H__3768E0EA_F4DC_48ED_B44E_180DE4E2683E__INCLUDED_)
