/*======================================================================*/
/* Lang.h: CLang multilanguage handling static object					*/
/* Copyright 2001-2003, (C) Jean-Pierre Menicucci - all rights reserved	*/
/*======================================================================*/

#if !defined(AFX_CLANG_H__7B27640B_1DD5_4941_BE3C_4491975C5E69__INCLUDED_)
#define AFX_CLANG_H__7B27640B_1DD5_4941_BE3C_4491975C5E69__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CLang  
{
private:
	static HINSTANCE m_hInst;			// instance handle
	static WORD m_wLangId;				// language identifier

private:
	CLang() {};
	virtual ~CLang() {};

public:
	static void SetInstance (HINSTANCE hInst);
	static HINSTANCE GetInstance();
	static void SetLangId (LPSTR lpszLang);
	static void SetLangId (WORD wLangId);
	static WORD GetLangId();

	static HRSRC FindResource (LPCTSTR lpType, LPCTSTR lpName);
 	static LPWSTR LoadMenu (LPSTR lpszMenu);
	static int LoadString (UINT uMessage, LPTSTR lpMulti, int cchMulti, WORD wLangId = 0);
	static int MesBox (LPCTSTR szMsg, UINT fuStyle = MB_ICONSTOP | MB_OK);
	static int MesBox (UINT uMsg, UINT fuStyle = MB_ICONSTOP | MB_OK);
	static int MesBox (UINT uCap, UINT uMsg, UINT fuStyle = MB_ICONSTOP | MB_OK);
	static LPSTR MonthName (LPSTR szMon);
	static int StrMesBox (UINT uFmt, LPCTSTR lpsz, UINT fuStyle = MB_ICONSTOP | MB_OK);
	static int StrStrMesBox (UINT uFmt, LPCTSTR lpsz1, LPCTSTR lpsz2, UINT fuStyle = MB_ICONSTOP | MB_OK);
	static void SysMesBox (UINT uMessage);
	static int SysMesBox (UINT uFor, LPCTSTR lpszStr, UINT fuStyle = MB_ICONSTOP | MB_OK);
};

#endif // !defined(AFX_CLANG_H__7B27640B_1DD5_4941_BE3C_4491975C5E69__INCLUDED_)
