/*======================================================================*/
/* XmlWordAx.h : CXmlWordAx ActiveX declaration							*/
/* Copyright 2001-2003, (C) Jean-Pierre Menicucci - all rights reserved	*/
/*======================================================================*/

#ifndef __XMLWORDAX_H_
#define __XMLWORDAX_H_

/////////////////////////////////////////////////////////////////////////////
// CXmlWordAx
class ATL_NO_VTABLE CXmlWordAx :
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CXmlWordAx,&CLSID_XmlWordAx>,
	public CComControl<CXmlWordAx>,
	public IDispatchImpl<IXmlWordAx, &IID_IXmlWordAx, &LIBID_XMLWORDLib>,
	public IPersistStreamInitImpl<CXmlWordAx>,
	public IOleControlImpl<CXmlWordAx>,
	public IOleObjectImpl<CXmlWordAx>,
	public IOleInPlaceActiveObjectImpl<CXmlWordAx>,
	public IViewObjectExImpl<CXmlWordAx>,
	public IOleInPlaceObjectWindowlessImpl<CXmlWordAx>,
	public IObjectSafetyImpl<CXmlWordAx>
{
public:
	CXmlWordAx()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_XMLWORDAX)
DECLARE_NOT_AGGREGATABLE(CXmlWordAx)

BEGIN_COM_MAP(CXmlWordAx) 
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(IXmlWordAx)
	COM_INTERFACE_ENTRY_IMPL_IID(IID_IViewObject, IViewObjectEx)
	COM_INTERFACE_ENTRY_IMPL_IID(IID_IViewObject2, IViewObjectEx)
	COM_INTERFACE_ENTRY_IMPL(IViewObjectEx)
	COM_INTERFACE_ENTRY_IMPL_IID(IID_IOleWindow, IOleInPlaceObjectWindowless)
	COM_INTERFACE_ENTRY_IMPL_IID(IID_IOleInPlaceObject, IOleInPlaceObjectWindowless)
	COM_INTERFACE_ENTRY_IMPL(IOleInPlaceObjectWindowless)
	COM_INTERFACE_ENTRY_IMPL(IOleInPlaceActiveObject)
	COM_INTERFACE_ENTRY_IMPL(IOleControl)
	COM_INTERFACE_ENTRY_IMPL(IOleObject)
	COM_INTERFACE_ENTRY_IMPL(IPersistStreamInit)
	COM_INTERFACE_ENTRY_IMPL(IObjectSafety)
END_COM_MAP()

BEGIN_PROPERTY_MAP(CXmlWordAx)
	// Example entries
	// PROP_ENTRY("Property Description", dispid, clsid)
	// PROP_PAGE(CLSID_StockColorPage)
END_PROPERTY_MAP()

BEGIN_MSG_MAP(CXmlWordAx)
	MESSAGE_HANDLER(WM_PAINT, OnPaint)
	MESSAGE_HANDLER(WM_SETFOCUS, OnSetFocus)
	MESSAGE_HANDLER(WM_KILLFOCUS, OnKillFocus)
END_MSG_MAP()

// IViewObjectEx
public:
	STDMETHOD(GetViewStatus)(DWORD* pdwStatus)
	{
		ATLTRACE(_T("IViewObjectExImpl::GetViewStatus\n"));
		*pdwStatus = VIEWSTATUS_SOLIDBKGND | VIEWSTATUS_OPAQUE;
		return S_OK;
	}

// IXmlWordAx
public:
	STDMETHOD(JustDoIt)(BSTR bsXmlFile);
	HRESULT OnDraw(ATL_DRAWINFO& di);
};

#endif //__XMLWORDAX_H_
